> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reconcile invoices with external integration

> Reconcile invoice properties between our system and integration



## OpenAPI

````yaml invoices.2024-07-30.product.live POST /invoices/reconcile-with-integration
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Invoices
  - name: Credit Note Line Items
  - name: Invoice Line Items
  - name: Invoice Settings
  - name: Credit Notes
paths:
  /invoices/reconcile-with-integration:
    servers: []
    parameters: []
    post:
      tags:
        - Invoices
      summary: Reconcile invoices with external integration
      description: Reconcile invoice properties between our system and integration
      operationId: postInvoicesReconcileWithIntegration
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ReconcileInvoicesWithIntegrationEndpointReconcileInvoicesWithIntegrationRequest
              example:
                integrationService: Xero
                invoiceIds: []
                propertiesToCompare:
                  - INVOICE_NUMBER
                  - STATUS
            examples:
              ReconcileInvoicesWithIntegrationEndpointReconcileInvoicesWithIntegrationRequest:
                summary: ''
                value:
                  integrationService: Xero
                  invoiceIds: []
                  propertiesToCompare:
                    - INVOICE_NUMBER
                    - STATUS
        required: true
      responses:
        '202':
          description: Accepted
          content: {}
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ReconcileInvoicesWithIntegrationEndpointReconcileInvoicesWithIntegrationRequest:
      required:
        - integrationService
        - invoiceIds
        - propertiesToCompare
      type: object
      example:
        integrationService: Xero
        invoiceIds: []
        propertiesToCompare:
          - INVOICE_NUMBER
          - STATUS
      properties:
        integrationService:
          $ref: >-
            #/components/schemas/ReconcileInvoicesWithIntegrationEndpointSupportedIntegrationService
          description: Integration service
        invoiceIds:
          type: array
          description: Invoice IDs
          example: []
          items:
            type: string
        propertiesToCompare:
          type: array
          description: Property to compare
          example:
            - INVOICE_NUMBER
            - STATUS
          items:
            $ref: >-
              #/components/schemas/ReconcileInvoicesWithIntegrationEndpointPropertyToCompare
    ReconcileInvoicesWithIntegrationEndpointSupportedIntegrationService:
      type: string
      example: Xero
      enum:
        - Xero
    ReconcileInvoicesWithIntegrationEndpointPropertyToCompare:
      type: string
      example: INVOICE_NUMBER
      enum:
        - INVOICE_NUMBER
        - STATUS

````